
package de.ivu.elect.presentation.gebietsbaum.menu;

import javax.inject.Inject;

import de.ivu.elect.presentation.exchange.ExportDescription;
import de.ivu.elect.presentation.exchange.menu.AbstractExportMenuItemEntry;
import de.ivu.elect.presentation.gebietsbaum.exchange.GebietGeometrieExportDescription;

public class GebietGeometrieExportMenuItemEntry extends AbstractExportMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private GebietGeometrieExportDescription gebietGeometrieExportDescription;

  public GebietGeometrieExportMenuItemEntry() {
    super();
  }

  @Override
  protected ExportDescription getExportDescription() {
    return gebietGeometrieExportDescription;
  }

  @Override
  public String getLabelKey() {
    return "gebiet.geometrie.export.menu.item.label";
  }
}
